Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphUI.GraphTransferHandler

    java.lang.Object
      |
      +--javax.swing.TransferHandler
            |
            +--org.jgraph.plaf.basic.BasicGraphUI.GraphTransferHandler

All Implemented Interfaces:
  Serializable

Enclosing class:
  BasicGraphUI

public class BasicGraphUI.GraphTransferHandler
extends TransferHandler

See Also:
  Serialized Form

Field Summary
`protected Object` | `in`
`protected int` | `inCount`
`protected Object` | `out`

Fields inherited from class javax.swing.TransferHandler
`COPY, COPY_OR_MOVE, MOVE, NONE`

Constructor Summary
`BasicGraphUI.GraphTransferHandler()`

Method Summary
`boolean` | `canImport(JComponent comp, DataFlavor[] flavors)`
`protected GraphTransferable` | `create(JGraph graph, Object[] cells, Map viewAttributes, Rectangle2D bounds, ConnectionSet cs, ParentMap pm)`
`Transferable` | `createTransferable()`
`protected Transferable` | `createTransferable(JComponent c)`
`protected void` | `exportDone(JComponent comp, Transferable data, int action)`
`int` | `getSourceActions(JComponent c)`
`boolean` | `importData(JComponent comp, Transferable t)`
`protected boolean` | `importDataImpl(JComponent comp, Transferable t)`

Methods inherited from class javax.swing.TransferHandler
`exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getPasteAction, getVisualRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected Object out

### in

    protected Object in

### inCount

    protected int inCount

Constructor Detail

### BasicGraphUI.GraphTransferHandler

    public BasicGraphUI.GraphTransferHandler()

Method Detail

### canImport

    public boolean canImport(JComponent comp,
                             DataFlavor[] flavors)

  Overrides:
    `canImport` in class `TransferHandler`

### createTransferable

    public Transferable createTransferable()

### createTransferable

    protected final Transferable createTransferable(JComponent c)

  Overrides:
    `createTransferable` in class `TransferHandler`

### create

    protected GraphTransferable create(JGraph graph,
                                       Object[] cells,
                                       Map viewAttributes,
                                       Rectangle2D bounds,
                                       ConnectionSet cs,
                                       ParentMap pm)

### exportDone

    protected void exportDone(JComponent comp,
                              Transferable data,
                              int action)

  Overrides:
    `exportDone` in class `TransferHandler`

### getSourceActions

    public int getSourceActions(JComponent c)

  Overrides:
    `getSourceActions` in class `TransferHandler`

### importData

    public boolean importData(JComponent comp,
                              Transferable t)

  Overrides:
    `importData` in class `TransferHandler`

### importDataImpl

    protected boolean importDataImpl(JComponent comp,
                                     Transferable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2003-2004 Gaudenz Alder. All rights reserved.